Widget
Method & Permission
| API | GET | POST | PUT | PATCH | DELETE |
|---|---|---|---|---|---|
| Widget List | Admin, Member | - | - | - | - |
| Widget Detail | Admin, Member | - | - | - | - |
GET Widget List
Endpoint: /widgets/widget/list/{level}/{sid}/{serializer}/
Parameter: level (path, string)
Parameter: sid (path, string)
Parameter: serializer (path, string)
Parameter: token (header, string)
Response: 200
{
"page_size": 10,
"page_number": 1,
"page_count": 3,
"count": 22,
"next": null,
"previous": null,
"add_permission": false,
"results": [
{
"sid": "xxx",
"icon": "text_fields",
"name": "Plain Text",
"subscription_price": "Free",
"PPU_price": "Free",
"notes": "Add plain text, with markdown support",
"usecase": "xxx",
"related_to": "rich text",
"allow_multiple": true,
"is_readonly": false,
"is_public": true,
"component___status___WidgetActive": true,
"change_permission": true
},
...
]
}
Response: 401
Authentication credentials were not provided.
Response: 403
You do not have permission to perform this action.
Response: 406
Wrong id - the provided sid is not correct
Wrong level - the provided level is not acceptable
GET Widget Detail
Endpoint: /widgets/widget/detail/{sid}/
Parameter: sid (path, string)
Parameter: token (header, string)
Response: 200
{
"sid": "xxx",
"icon": "text_fields",
"name": "Plain Text",
"subscription_price": "Free",
"PPU_price": "Free",
"notes": "Add plain text, with markdown support",
"component___status___WidgetActive": false,
"description": "Use this widget to add text with a simple editor. The typical application is Results, Steps, Overview, Description, et.al. The editor also supports Markdown.",
"instruction": "Markdown is optional, to use Markdown, read more about markdown at https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet. <br />\r\n## - Heading<br />\r\n* Unordered list<br />\r\n1. Ordered list<br />\r\nEmphasis, aka italics, with *asterisks* or _underscores_.<br />\r\nStrong emphasis, aka bold, with **asterisks** or __underscores__.<br />\r\nCombined emphasis with **asterisks and _underscores_**.<br />\r\nStrikethrough uses two tildes. ~~Scratch this.~~<br />",
"usecase": "soem application",
"related_to": "rich text",
"apply_to": "Substance,Document,File",
"allow_multiple": true,
"is_readonly": false,
"is_archived": false,
"is_public": true,
"screenshot_1": ""
"screenshot_1": ""
"date_updated": "2018-07-22T20:25:12.008598Z",
"date_created": "2018-01-06T19:13:20.282546Z"
}
Response: 401
Authentication credentials were not provided.
Response: 403
You do not have permission to perform this action.
Response: 406
Wrong id - the provided sid is not correct